import { html as a } from "lit";
import { property as n } from "lit/decorators.js";
import { PieIconComponent as f } from "./PieIconComponent.js";
import { safeCustomElement as h } from "@justeattakeaway/pie-webc-core";
var m = Object.defineProperty, v = Object.getOwnPropertyDescriptor, p = (c, t, i, l) => {
  for (var e = l > 1 ? void 0 : l ? v(t, i) : t, s = c.length - 1, o; s >= 0; s--)
    (o = c[s]) && (e = (l ? o(t, i, e) : o(e)) || e);
  return l && e && m(t, i, e), e;
};
let r = class extends f {
  constructor() {
    super(...arguments), this.size = "xs", this.defaultClasses = "c-pieIcon c-pieIcon--playCircleFilled", this.class = "c-pieIcon c-pieIcon--playCircleFilled", this.name = "IconPlayCircleFilled";
  }
  render() {
    return a`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 16 16" class="c-pieIcon c-pieIcon--playCircleFilled"><path d="M7.011 9.164 9.557 8 7.011 6.836v2.328Z"></path><path d="M8 1.219A6.781 6.781 0 1 0 14.781 8 6.79 6.79 0 0 0 8 1.219Zm3.141 7.498L6.82 10.695a.744.744 0 0 1-.333.079.726.726 0 0 1-.42-.149.78.78 0 0 1-.367-.656V6.014a.779.779 0 0 1 .367-.639.77.77 0 0 1 .753-.053L11.14 7.3a.788.788 0 0 1 0 1.435v-.018Z"></path></svg>`;
  }
};
p([
  n({ type: String, reflect: !0 })
], r.prototype, "size", 2);
p([
  n({ type: String, reflect: !0 })
], r.prototype, "class", 2);
r = p([
  h("icon-play-circle-filled")
], r);
export {
  r as IconPlayCircleFilled
};
